ParserConstants (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.ParserConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

public interface ParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `ALPHA_CHAR` RegularExpression Id.
`static int` | `ALPHANUM_CHAR` RegularExpression Id.
`static int` | `BRACKETED_WORD` RegularExpression Id.
`static int` | `COLON` RegularExpression Id.
`static int` | `COMMA` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DIGIT` RegularExpression Id.
`static int` | `DIRECTIVE` Lexical state.
`static int` | `DIRECTIVE_CHAR` RegularExpression Id.
`static int` | `DIRECTIVE_TERMINATOR` RegularExpression Id.
`static int` | `DIVIDE` RegularExpression Id.
`static int` | `DOLLAR` RegularExpression Id.
`static int` | `DOLLARBANG` RegularExpression Id.
`static int` | `DOT` RegularExpression Id.
`static int` | `DOUBLE_ESCAPE` RegularExpression Id.
`static int` | `DOUBLEDOT` RegularExpression Id.
`static int` | `ELSE_DIRECTIVE` RegularExpression Id.
`static int` | `ELSEIF_DIRECTIVE` RegularExpression Id.
`static int` | `EMPTY_INDEX` RegularExpression Id.
`static int` | `END` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `EQUALS` RegularExpression Id.
`static int` | `ESCAPE` RegularExpression Id.
`static int` | `ESCAPE_DIRECTIVE` RegularExpression Id.
`static int` | `EXPONENT` RegularExpression Id.
`static int` | `FALSE` RegularExpression Id.
`static int` | `FLOATING_POINT_LITERAL` RegularExpression Id.
`static int` | `FORMAL_COMMENT` RegularExpression Id.
`static int` | `HASH` RegularExpression Id.
`static int` | `IDENTIFIER` RegularExpression Id.
`static int` | `IDENTIFIER_CHAR` RegularExpression Id.
`static int` | `IF_DIRECTIVE` RegularExpression Id.
`static int` | `IN_FORMAL_COMMENT` Lexical state.
`static int` | `IN_MULTI_LINE_COMMENT` Lexical state.
`static int` | `IN_SINGLE_LINE_COMMENT` Lexical state.
`static int` | `IN_TEXTBLOCK` Lexical state.
`static int` | `INDEX_LBRACKET` RegularExpression Id.
`static int` | `INDEX_RBRACKET` RegularExpression Id.
`static int` | `INTEGER_LITERAL` RegularExpression Id.
`static int` | `LBRACKET` RegularExpression Id.
`static int` | `LCURLY` RegularExpression Id.
`static int` | `LEFT_CURLEY` RegularExpression Id.
`static int` | `LETTER` RegularExpression Id.
`static int` | `LOGICAL_AND` RegularExpression Id.
`static int` | `LOGICAL_EQUALS` RegularExpression Id.
`static int` | `LOGICAL_GE` RegularExpression Id.
`static int` | `LOGICAL_GT` RegularExpression Id.
`static int` | `LOGICAL_LE` RegularExpression Id.
`static int` | `LOGICAL_LT` RegularExpression Id.
`static int` | `LOGICAL_NOT` RegularExpression Id.
`static int` | `LOGICAL_NOT_EQUALS` RegularExpression Id.
`static int` | `LOGICAL_OR` RegularExpression Id.
`static int` | `LPAREN` RegularExpression Id.
`static int` | `MINUS` RegularExpression Id.
`static int` | `MODULUS` RegularExpression Id.
`static int` | `MULTI_LINE_COMMENT` RegularExpression Id.
`static int` | `MULTIPLY` RegularExpression Id.
`static int` | `NEWLINE` RegularExpression Id.
`static int` | `PLUS` RegularExpression Id.
`static int` | `PRE_DIRECTIVE` Lexical state.
`static int` | `RBRACKET` RegularExpression Id.
`static int` | `RCURLY` RegularExpression Id.
`static int` | `REFERENCE` Lexical state.
`static int` | `REFERENCE_TERMINATOR` RegularExpression Id.
`static int` | `REFINDEX` Lexical state.
`static int` | `REFMOD` Lexical state.
`static int` | `REFMOD2` Lexical state.
`static int` | `REFMOD2_RPAREN` RegularExpression Id.
`static int` | `REFMODIFIER` Lexical state.
`static int` | `RIGHT_CURLEY` RegularExpression Id.
`static int` | `RPAREN` RegularExpression Id.
`static int` | `SET_DIRECTIVE` RegularExpression Id.
`static int` | `SINGLE_LINE_COMMENT` RegularExpression Id.
`static int` | `SINGLE_LINE_COMMENT_START` RegularExpression Id.
`static int` | `STRING_LITERAL` RegularExpression Id.
`static int` | `TEXT` RegularExpression Id.
`static int` | `TEXTBLOCK` RegularExpression Id.
`static String[]` | `tokenImage` Literal token values.
`static int` | `TRUE` RegularExpression Id.
`static int` | `WHITESPACE` RegularExpression Id.
`static int` | `WORD` RegularExpression Id.

Field Detail

### EOF

    public static final int EOF

  End of File.

  See Also:
    Constant Field Values

### INDEX_LBRACKET

    public static final int INDEX_LBRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### INDEX_RBRACKET

    public static final int INDEX_RBRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### LBRACKET

    public static final int LBRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### RBRACKET

    public static final int RBRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMMA

    public static final int COMMA

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOUBLEDOT

    public static final int DOUBLEDOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### COLON

    public static final int COLON

  RegularExpression Id.

  See Also:
    Constant Field Values

### LEFT_CURLEY

    public static final int LEFT_CURLEY

  RegularExpression Id.

  See Also:
    Constant Field Values

### RIGHT_CURLEY

    public static final int RIGHT_CURLEY

  RegularExpression Id.

  See Also:
    Constant Field Values

### LPAREN

    public static final int LPAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### RPAREN

    public static final int RPAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### REFMOD2_RPAREN

    public static final int REFMOD2_RPAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### ESCAPE_DIRECTIVE

    public static final int ESCAPE_DIRECTIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### SET_DIRECTIVE

    public static final int SET_DIRECTIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOLLAR

    public static final int DOLLAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOLLARBANG

    public static final int DOLLARBANG

  RegularExpression Id.

  See Also:
    Constant Field Values

### HASH

    public static final int HASH

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_LINE_COMMENT_START

    public static final int SINGLE_LINE_COMMENT_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOUBLE_ESCAPE

    public static final int DOUBLE_ESCAPE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ESCAPE

    public static final int ESCAPE

  RegularExpression Id.

  See Also:
    Constant Field Values

### TEXT

    public static final int TEXT

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### TEXTBLOCK

    public static final int TEXTBLOCK

  RegularExpression Id.

  See Also:
    Constant Field Values

### WHITESPACE

    public static final int WHITESPACE

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### TRUE

    public static final int TRUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### FALSE

    public static final int FALSE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NEWLINE

    public static final int NEWLINE

  RegularExpression Id.

  See Also:
    Constant Field Values

### MINUS

    public static final int MINUS

  RegularExpression Id.

  See Also:
    Constant Field Values

### PLUS

    public static final int PLUS

  RegularExpression Id.

  See Also:
    Constant Field Values

### MULTIPLY

    public static final int MULTIPLY

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIVIDE

    public static final int DIVIDE

  RegularExpression Id.

  See Also:
    Constant Field Values

### MODULUS

    public static final int MODULUS

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_AND

    public static final int LOGICAL_AND

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_OR

    public static final int LOGICAL_OR

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_LT

    public static final int LOGICAL_LT

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_LE

    public static final int LOGICAL_LE

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_GT

    public static final int LOGICAL_GT

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_GE

    public static final int LOGICAL_GE

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_EQUALS

    public static final int LOGICAL_EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_NOT_EQUALS

    public static final int LOGICAL_NOT_EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOGICAL_NOT

    public static final int LOGICAL_NOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### EQUALS

    public static final int EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### END

    public static final int END

  RegularExpression Id.

  See Also:
    Constant Field Values

### IF_DIRECTIVE

    public static final int IF_DIRECTIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ELSEIF_DIRECTIVE

    public static final int ELSEIF_DIRECTIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ELSE_DIRECTIVE

    public static final int ELSE_DIRECTIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIGIT

    public static final int DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### FLOATING_POINT_LITERAL

    public static final int FLOATING_POINT_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXPONENT

    public static final int EXPONENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### LETTER

    public static final int LETTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIRECTIVE_CHAR

    public static final int DIRECTIVE_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### WORD

    public static final int WORD

  RegularExpression Id.

  See Also:
    Constant Field Values

### BRACKETED_WORD

    public static final int BRACKETED_WORD

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALPHA_CHAR

    public static final int ALPHA_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALPHANUM_CHAR

    public static final int ALPHANUM_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER_CHAR

    public static final int IDENTIFIER_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOT

    public static final int DOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### LCURLY

    public static final int LCURLY

  RegularExpression Id.

  See Also:
    Constant Field Values

### RCURLY

    public static final int RCURLY

  RegularExpression Id.

  See Also:
    Constant Field Values

### REFERENCE_TERMINATOR

    public static final int REFERENCE_TERMINATOR

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIRECTIVE_TERMINATOR

    public static final int DIRECTIVE_TERMINATOR

  RegularExpression Id.

  See Also:
    Constant Field Values

### EMPTY_INDEX

    public static final int EMPTY_INDEX

  RegularExpression Id.

  See Also:
    Constant Field Values

### REFERENCE

    public static final int REFERENCE

  Lexical state.

  See Also:
    Constant Field Values

### REFMODIFIER

    public static final int REFMODIFIER

  Lexical state.

  See Also:
    Constant Field Values

### REFINDEX

    public static final int REFINDEX

  Lexical state.

  See Also:
    Constant Field Values

### DIRECTIVE

    public static final int DIRECTIVE

  Lexical state.

  See Also:
    Constant Field Values

### REFMOD2

    public static final int REFMOD2

  Lexical state.

  See Also:
    Constant Field Values

### DEFAULT

    public static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### REFMOD

    public static final int REFMOD

  Lexical state.

  See Also:
    Constant Field Values

### IN_TEXTBLOCK

    public static final int IN_TEXTBLOCK

  Lexical state.

  See Also:
    Constant Field Values

### IN_MULTI_LINE_COMMENT

    public static final int IN_MULTI_LINE_COMMENT

  Lexical state.

  See Also:
    Constant Field Values

### IN_FORMAL_COMMENT

    public static final int IN_FORMAL_COMMENT

  Lexical state.

  See Also:
    Constant Field Values

### IN_SINGLE_LINE_COMMENT

    public static final int IN_SINGLE_LINE_COMMENT

  Lexical state.

  See Also:
    Constant Field Values

### PRE_DIRECTIVE

    public static final int PRE_DIRECTIVE

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    public static final String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.